# National Cyber Crime Report

The National Cyber Crime Support Suspect API provides an automated interface to check identifiers (mobile numbers, bank accounts, UPI IDs, emails, social media handles) against the National Cyber Crime Reporting Portal (<https://cybercrime.gov.in>).

`POST` `https://secctrl.tutelar.io/api/v1/services/business_profile/national_cyber_crime_report`

## Sample Request Body

| Body       | Type   | Mandatory | Description                                                                                                               |
| ---------- | ------ | --------- | ------------------------------------------------------------------------------------------------------------------------- |
| identifier | string | Yes       | The identifier to check. Can be mobile, bank account, UPI ID, email, or social media handle. Min: 1, Max: 256 characters. |

### Sample Post Parameters

```json
{
  "identifier": "im.sivaOfcl"
}
```

200: Success Response

400: Validation Error Response

### 200 : In progress

```json
//Report Found
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "af761acb-1df9-45f2-9e41-e054a7e4b29b",
  "status": "completed",
  "result": {
    "identifier": "saddamHussein.Ofcl",
    "identifier_type": "Social Media Id",
    "flagged": true,
    "report_count": 1,
    "remarks": "This Social Media saddamHussein.Ofcl has been reported on National Cybercrime Reporting Portal (www.cybercrime.gov.in) as suspectSocial Media Id by the citizens."
  },
  "requested_at": "2026-04-13T09:30:49.124Z",
  "completed_at": "2026-04-13T09:32:32.287Z"
}

//Report Not Found

{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
  "status": "completed",
  "result": {
    "identifier": "93601040xx",
    "identifier_type": "Mobile Number",
    "flagged": false,
    "report_count": 0,
    "remarks": "Not Found There are no records found with your search !!"
  },
  "requested_at": "2026-04-13T10:15:30.612Z",
  "completed_at": "2026-04-13T10:17:06.916Z"
}
```

```json
{
  "success": false,
  "code": 400,
  "message": "identifier should not be empty",
  "error": {
    "message": "identifier should not be empty",
    "field": "identifier",
    "code": "BAD_REQUEST"
  }
}

{
  "success": false,
  "code": 400,
  "message": "Invalid identifier received",
  "error": {
    "message": "Invalid identifier received",
    "field": "identifier",
    "code": "BAD_REQUEST"
  }
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
  "status": "in_progress",
  "requested_at": "2026-04-13T10:15:30.612Z"
}
```

## Get details

`GET` `https://secctrl.tutelar.io/api/v1/services/business_profile/national_cyber_crime_report`

### Query parameters description is given below,

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

200: Success Response

200: Inprogress Response

```json
//Report Found
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "af761acb-1df9-45f2-9e41-e054a7e4b29b",
  "status": "completed",
  "result": {
    "identifier": "saddamHussein.Ofcl",
    "identifier_type": "Social Media Id",
    "flagged": true,
    "report_count": 1,
    "remarks": "This Social Media saddamHussein.Ofcl has been reported on National Cybercrime Reporting Portal (www.cybercrime.gov.in) as suspectSocial Media Id by the citizens."
  },
  "requested_at": "2026-04-13T09:30:49.124Z",
  "completed_at": "2026-04-13T09:32:32.287Z"
}

//Report Not Found

{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
  "status": "completed",
  "result": {
    "identifier": "93601040xx",
    "identifier_type": "Mobile Number",
    "flagged": false,
    "report_count": 0,
    "remarks": "Not Found There are no records found with your search !!"
  },
  "requested_at": "2026-04-13T10:15:30.612Z",
  "completed_at": "2026-04-13T10:17:06.916Z"
}
```

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "91084d90-4468-43c8-b537-cd7a69d2e2b1",
  "status": "in_progress",
  "requested_at": "2026-03-03T14:40:18.115Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/national-cyber-crime-report.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
